package routes

import (
	"nearle/facade"

	"github.com/gofiber/fiber/v2"
)

func RegisterCatalogueRoutes(api fiber.Router, f *facade.Facade) {

	catalogue := api.Group("/v1/web/catalogue")

	catalogue.Get("/getbrands", f.CatalogueController.GetBrands)
	catalogue.Get("/getcategories", f.CatalogueController.GetCategories)
	catalogue.Get("/getproducts", f.CatalogueController.GetProducts)
	catalogue.Get("/getproduct", f.CatalogueController.GetProductBySKU)

	catalogue = api.Group("/v1/mob/catalogue")

	catalogue.Get("/getbrands", f.CatalogueController.GetBrands)
	catalogue.Get("/getcategories", f.CatalogueController.GetCategories)
	catalogue.Get("/getproducts", f.CatalogueController.GetProducts)
	catalogue.Get("/getproduct", f.CatalogueController.GetProductBySKU)
}
